#include <fstream>
#include <string>
#include <algorithm>
using namespace std;

ifstream fin("ancient.in");
ofstream fout("ancient.out");

int a[26], b[26];

int main() {
	string s,t;
	fin >> s >> t;

	int i;
	for (i=0; i<s.size(); i++)
		a[s[i]-'A']++;
	for (i=0; i<t.size(); i++)
		b[t[i]-'A']++;

	sort(a,a+26);
	sort(b,b+26);
	if (equal(a,a+26,b))
		fout << "YES" << endl;
	else
		fout << "NO" << endl;

	return 0;
}
